org.jboss.jca.core.naming

## Class SimpleJndiStrategy

- java.lang.Object
- - org.jboss.jca.core.naming.SimpleJndiStrategy

- All Implemented Interfaces:
    java.lang.Cloneable, javax.naming.spi.ObjectFactory, org.jboss.jca.core.spi.naming.JndiStrategy

      public class SimpleJndiStrategy
      extends java.lang.Object
      implements org.jboss.jca.core.spi.naming.JndiStrategy

  A simple JNDI strategy that bind a single connection factory under the name of "java:/eis/<deployment>" by default. A single admin object is bound under "java:/eis/ao/<deployment>" by default.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJndiStrategy()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `bindAdminObjects(java.lang.String deployment, java.lang.Object[] aos)` Bind admin objects for a deployment
    `java.lang.String[]` | `bindAdminObjects(java.lang.String deployment, java.lang.Object[] aos, java.lang.String[] jndis)` Bind admin objects for a deployment
    `java.lang.String[]` | `bindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs)` Bind connection factories for a deployment
    `java.lang.String[]` | `bindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs, java.lang.String[] jndis)` Bind connection factories for a deployment
    `org.jboss.jca.core.spi.naming.JndiStrategy` | `clone()` Clone the JNDI strategy implementation
    `java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,?> environment)` Obtain the connection factory
    `void` | `unbindAdminObjects(java.lang.String deployment, java.lang.Object[] aos)` Unbind admin objects for a deployment
    `void` | `unbindAdminObjects(java.lang.String deployment, java.lang.Object[] aos, java.lang.String[] jndis)` Unbind admin objects for a deployment
    `void` | `unbindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs)` Unbind connection factories for a deployment
    `void` | `unbindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs, java.lang.String[] jndis)` Unbind connection factories for a deployment

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleJndiStrategy

          public SimpleJndiStrategy()

      Constructor

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,?> environment)
                                             throws java.lang.Exception

      Obtain the connection factory
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Throws:
        `java.lang.Exception`

    - #### bindConnectionFactories

          public java.lang.String[] bindConnectionFactories(java.lang.String deployment,
                                                            java.lang.Object[] cfs)
                                                     throws java.lang.Throwable

      Bind connection factories for a deployment
      Specified by:
        `bindConnectionFactories` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
      Returns:
        The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindConnectionFactories

          public java.lang.String[] bindConnectionFactories(java.lang.String deployment,
                                                            java.lang.Object[] cfs,
                                                            java.lang.String[] jndis)
                                                     throws java.lang.Throwable

      Bind connection factories for a deployment
      Specified by:
        `bindConnectionFactories` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
        `jndis` - The JNDI names for the connection factories
      Returns:
        The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindConnectionFactories

          public void unbindConnectionFactories(java.lang.String deployment,
                                                java.lang.Object[] cfs)
                                         throws java.lang.Throwable

      Unbind connection factories for a deployment
      Specified by:
        `unbindConnectionFactories` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindConnectionFactories

          public void unbindConnectionFactories(java.lang.String deployment,
                                                java.lang.Object[] cfs,
                                                java.lang.String[] jndis)
                                         throws java.lang.Throwable

      Unbind connection factories for a deployment
      Specified by:
        `unbindConnectionFactories` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
        `jndis` - The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindAdminObjects

          public java.lang.String[] bindAdminObjects(java.lang.String deployment,
                                                     java.lang.Object[] aos)
                                              throws java.lang.Throwable

      Bind admin objects for a deployment
      Specified by:
        `bindAdminObjects` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
      Returns:
        The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindAdminObjects

          public java.lang.String[] bindAdminObjects(java.lang.String deployment,
                                                     java.lang.Object[] aos,
                                                     java.lang.String[] jndis)
                                              throws java.lang.Throwable

      Bind admin objects for a deployment
      Specified by:
        `bindAdminObjects` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
        `jndis` - The JNDI names for the admin objects
      Returns:
        The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindAdminObjects

          public void unbindAdminObjects(java.lang.String deployment,
                                         java.lang.Object[] aos)
                                  throws java.lang.Throwable

      Unbind admin objects for a deployment
      Specified by:
        `unbindAdminObjects` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindAdminObjects

          public void unbindAdminObjects(java.lang.String deployment,
                                         java.lang.Object[] aos,
                                         java.lang.String[] jndis)
                                  throws java.lang.Throwable

      Unbind admin objects for a deployment
      Specified by:
        `unbindAdminObjects` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
        `jndis` - The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### clone

          public org.jboss.jca.core.spi.naming.JndiStrategy clone()
                                                           throws java.lang.CloneNotSupportedException

      Clone the JNDI strategy implementation
      Specified by:
        `clone` in interface `org.jboss.jca.core.spi.naming.JndiStrategy`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A copy of the implementation
      Throws:
        `java.lang.CloneNotSupportedException` - Thrown if the copy operation isn't supported

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)